package wikipediasearch.controller
{
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	import wikipediasearch.model.SearchProxy;
	
	public class SearchCommand extends SimpleCommand
	{
		override public function execute(note:INotification):void
		{
			// Call proxy method
			(facade.retrieveProxy(SearchProxy.NAME) as SearchProxy).search(note.getBody() as String);
		}
	}
}